Loading...
Searching...
No Matches
secpar2d.c File Reference
`#include <stdio.h>`
`#include <math.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/bitmap.h>`
`#include <grass/interpf.h>`
Include dependency graph for secpar2d.c:

Go to the source code of this file.

## Functions

int | IL_secpar_loop_2d (struct interp_params *params, int ngstc, int nszc, int k, struct BM *bitmask, double *gmin, double *gmax, double *c1min, double *c1max, double *c2min, double *c2max, int cond1, int cond2)

## Detailed Description

Author
  H. Mitasova, L. Mitas, I. Kosinovsky, D. Gerdes Fall 1994 (original authors)
  modified by McCauley in August 1995
  modified by Mitasova in August 1995
  H. Mitasova (University of Illinois)
  L. Mitas (University of Illinois)
  I. Kosinovsky, (USA-CERL)
  D.Gerdes (USA-CERL)

Copyright
  (C) 1994-1995 by Helena Mitasova and the GRASS Development Team
  This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  H. Mitasova, I. Kosinovsky, D. Gerdes Fall 1993 (original authors)
  modified by McCauley in August 1995
  modified by Mitasova in August 1995
  H. Mitasova (University of Illinois)
  I. Kosinovsky, (USA-CERL)
  D.Gerdes (USA-CERL)

Copyright
  (C) 1993-1995 by Helena Mitasova and the GRASS Development Team
  This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition in file secpar2d.c.

## Function Documentation

## IL_secpar_loop_2d()

int IL_secpar_loop_2d | ( | struct interp_params * | params,
|  | int | ngstc,
|  | int | nszc,
|  | int | k,
|  | struct BM * | bitmask,
|  | double * | gmin,
|  | double * | gmax,
|  | double * | c1min,
|  | double * | c1max,
|  | double * | c2min,
|  | double * | c2max,
|  | int | cond1,
|  | int | cond2 )

Compute slope aspect and curvatures

Computes slope, aspect and curvatures (depending on cond1, cond2) for derivative arrays adx,...,adxy between columns ngstc and nszc.

Parameters

  ngstc | starting column
  nszc | ending column
  k | current row
  c2max | min,max interp. values
  cond2 | determine if particular values need to be computed

Definition at line 34 of file secpar2d.c.

References interp_params::adx, interp_params::adxx, interp_params::adxy, interp_params::ady, interp_params::adyy, amax1(), amin1(), BM_get(), and NULL.